Bug 594467 - PackageKit should prevent shutdown if update is running
PackageKit should prevent shutdown if update is running
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 15:04 EDT by Adam Pribyl
Modified: 2010-12-03 09:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:31:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2010-05-20 15:04:48 EDT
This is RFE.

Description of problem:
With automated updates of packages by PackageKit I have to fix from time to time computers with duplicate packages, half installed packages etc. The reason is, that users click on updating their system, then they forget update is running in background and shuts down the computer. Would it be possible for PackageKit to prevent shutdowns while update is running or cleanly finish/interrupt the update proces on shutdown?
Comment 1 Richard Hughes 2010-06-18 10:55:30 EDT
It should already inhibit logging out. How do users shutdown the system?
Comment 2 Adam Pribyl 2010-06-19 08:39:32 EDT
Well, those are mostly only users, that hardly know any tricks how to shutdown uncleanly, my guess is they just click on System/Shutdown/Shutdown - at least that is what one told me. Is shutdown the same thing as logging out in this case?
Comment 3 Adam Pribyl 2010-06-19 08:53:41 EDT
I tried it now on F13 myself. Downgraded a few package by yum, PackageKit appears with information about updates. Clicked on it and Install updates, then System/Shutdown/Shutdown. The last thing I saw was dependency resolution, then system shut down. After restart yum shows
"There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them." I am not sure when PK should raise the "no logout" flag, but for sure it does not work right after clicking Install updates and during dependency resolution.
Comment 4 Bug Zapper 2010-11-03 10:31:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:31:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.